%define	name	adaptx
%define	version	0.9.6
%define release 1jpp_3fc
%define	section	free

Name:		%{name}
Version:	%{version}
Release: %{release}.1
Epoch:		0
Summary:	AdaptX
License:	Exolab Software License
Group:		Development/Libraries/Java
Source0:	%{name}-%{version}-cvs-RHCLEAN.tar.bz2
Url:		http://castor.exolab.org/
Requires:       xerces-j2
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Adaptx is an XSLT processor and XPath engine.

%package javadoc
Group:		Development/Java
Summary:	Javadoc for %{name}
Prereq: coreutils

%description javadoc
Javadoc for %{name}.

%package doc
Summary:	Documentation for %{name}
Group:		Development/Documentation

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{name}
# remove CVS internal files
for dir in `find . -type d -name CVS`; do rm -rf $dir; done
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
perl -p -i -e 's|classic|modern|' src/build.xml
adaptx_classpath=$(build-classpath xml-commons-apis xerces-j2)
export CLASSPATH=$adaptx_classpath
ant -buildfile src/build.xml jar
ant -buildfile src/build.xml javadoc
export CLASSPATH=dist/adaptx_0.9.6.jar:$adaptx_classpath
ant -buildfile src/build.xml doc

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/%{name}_%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf build/doc/javadoc

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0664,root,root,0755)
%doc src/etc/{CHANGELOG,contributors.html,LICENSE}
%{_javadir}/*

%files javadoc
%defattr(0664,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files doc
%defattr(0664,root,root,0755)
%doc build/doc/*

%changelog
* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0:0.9.6-1jpp_3fc.1
- stop scriptlet spew

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 22 2005 Vadim Nasardinov <vadimn@redhat.com> - 0:0.9.6-1jpp_2fc
- BZ 162481:
  src/main/org/exolab/adaptx/xslt/util/Configuration.java
  and
  src/main/org/exolab/adaptx/xml/parser/XercesParser.java
  both depend on org.apache.xerces.*
  This change makes this dependency explicit.

* Thu Jun 16 2005 Gary Benson <gbenson@redhat.com> 0:0.9.6-1jpp_1fc
- Build into Fedora.

* Thu Jun  9 2005 Gary Benson <gbenson@redhat.com>
- Remove jarfiles from the tarball.

* Wed Jun  1 2005 Gary Benson <gbenson@redhat.com>
- Remove all jarfiles before building.

* Fri Mar  5 2004 Frank Ch. Eigler <fche@redhat.com> 0:0.9.6-1jpp_1rh
- RH vacuuming
- build with internal adaptx for the moment

* Tue Sep 09 2003 David Walluck <david@anti-microsoft.org> 0:0.9.6-1jpp
- 0.9.6
- Nicolas wrote the last changelog entry, not me
- adaptx requires itself to build, so I added '--without-external' in case you need or
  wish to use the included jar, but it defaults to '--with-external' (e.g., it defaults
  to using the external jpackage version of the jar).
- use the modern, not the classic, compiler
- BuildRequires: xml-commons-apis for doc target

* Fri May 16 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:0.9.5-2jpp
- do not self-require for build :)

* Sat May 10 2003 David Walluck <david@anti-microsoft.org> 0:0.9.5-1jpp
- release
